<% if current_settings.votes_weight_enabled? %>

  <% @proposals.each do |proposal| %>
  (function() {
    var $proposalVotesCount = $('#proposal-<%= proposal.id %>-votes-count');
    if($proposalVotesCount[0]) {
      morphdom($proposalVotesCount[0], '<%= j(render partial: "decidim/proposals/proposals/votes_count", locals: { proposal: proposal, from_proposals_list: @from_proposals_list }).strip.html_safe %>');
    }

    var $proposalVoteButton = $('#proposal-<%= proposal.id %>-vote-button');
    if($proposalVoteButton[0]) {
      morphdom($proposalVoteButton[0], '<%= j(render partial: "decidim/proposals/proposals/vote_weight", locals: { proposal: proposal, from_proposals_list: @from_proposals_list }).strip.html_safe %>');
    }
  })();
  <% end %>

  <% if vote_limit_enabled? %>
    (function() {
      var $remainingVotesCount = $('#remaining-votes-count');
      var $notVotedButtons = $('.card__button.button').not('.success');

      if(!$remainingVotesCount[0]) { return; }

      morphdom($remainingVotesCount[0], '<%= j(render partial: "decidim/proposals/proposals/remaining_votes_count").strip.html_safe %>');

      <% if remaining_votes_count_for(current_user) == 0 %>
        $notVotedButtons.attr('disabled', true);
        $notVotedButtons.val('<%= t("decidim.proposals.proposals.vote_button.no_votes_remaining") %>');
      <% else %>
        $notVotedButtons.attr('disabled', false);
        $notVotedButtons.val('<%= t("decidim.proposals.proposals.vote_button.vote") %>');
      <% end %>
    }());
  <% end %>
<% elsif current_settings.votes_enabled? %>

  <% @proposals.each do |proposal| %>
    (function() {
      var $proposalVotesCount = $('#proposal-<%= proposal.id %>-votes-count');
      if($proposalVotesCount[0]) {
        morphdom($proposalVotesCount[0], '<%= j(render partial: "decidim/proposals/proposals/votes_count", locals: { proposal: proposal, from_proposals_list: @from_proposals_list }).strip.html_safe %>');
      }

      var $proposalVoteButton = $('#proposal-<%= proposal.id %>-vote-button');
      if($proposalVoteButton[0]) {
        morphdom($proposalVoteButton[0], '<%= j(render partial: "decidim/proposals/proposals/vote_button", locals: { proposal: proposal, from_proposals_list: @from_proposals_list }).strip.html_safe %>');
      }
    })();
  <% end %>

  <% if vote_limit_enabled? %>
    (function() {
      var $remainingVotesCount = $('#remaining-votes-count');
      var $notVotedButtons = $('.card__button.button').not('.success');

      if(!$remainingVotesCount[0]) { return; }

      morphdom($remainingVotesCount[0], '<%= j(render partial: "decidim/proposals/proposals/remaining_votes_count").strip.html_safe %>');

      <% if remaining_votes_count_for(current_user) == 0 %>
        $notVotedButtons.attr('disabled', true);
        $notVotedButtons.val('<%= t("decidim.proposals.proposals.vote_button.no_votes_remaining") %>');
      <% else %>
        $notVotedButtons.attr('disabled', false);
        $notVotedButtons.val('<%= t("decidim.proposals.proposals.vote_button.vote") %>');
      <% end %>
    }());
  <% end %>
<% end %>

<% if show_voting_rules? %>
  (function() {
    var $votingRules = $('.voting-rules');
    if(!$votingRules[0]) { return; }
    morphdom($votingRules[0], '<%= j(render partial: "decidim/proposals/proposals/voting_rules").strip.html_safe %>');
  }());
<% end %>
